List your tracked keywords with their latest top 10.
curl --request GET \
--url https://api.appgoat.ai/v1/tracked-keywords \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/tracked-keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/tracked-keywords"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"term": "<string>",
"store": "apple",
"country": "<string>",
"depth": 123,
"cadence_minutes": 123,
"tags": [
"<string>"
],
"popularity": 123,
"last_run_at": "2023-11-07T05:31:56Z",
"top10": [
"<string>"
],
"ranked_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}Keywords
List tracked keywords
deprecated
GET
/
tracked-keywords
List your tracked keywords with their latest top 10.
curl --request GET \
--url https://api.appgoat.ai/v1/tracked-keywords \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/tracked-keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/tracked-keywords"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"term": "<string>",
"store": "apple",
"country": "<string>",
"depth": 123,
"cadence_minutes": 123,
"tags": [
"<string>"
],
"popularity": 123,
"last_run_at": "2023-11-07T05:31:56Z",
"top10": [
"<string>"
],
"ranked_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}Authorizations
Create a key at https://dash.appgoat.ai.
Query Parameters
Available options:
apple, play Substring filter on the term.